Cyberduck Mountain Duck CLI

#8568 closed defect (fixed)

Interoperability with cn-north-1

Reported by: steven noonan Owned by: dkocher
Priority: normal Milestone: 6.3
Component: s3 Version: 4.6.4
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

I get strange results trying to connect to the S3 cn-north-1 region via Cyberduck.

The docs say the endpoint is "s3.cn-north-1.amazonaws.com.cn". They also say that cn-north-1 requires Sigv4 for request signing.

Cyberduck's error is very odd:

S3.cn-north-1.s3-cn-north-1.com.cn: nodename nor servname provided, or not known. Please contact your web hosting service provider for assistance.

Uhm. That's not the hostname I entered at all...

Change History (11)

comment:1 Changed on Feb 9, 2015 at 8:24:01 AM by dkocher

  • Milestone set to 4.7
  • Status changed from new to assigned
  • Summary changed from Cannot connect to S3 in cn-north-1 to Interoperability with cn-north-1

comment:2 Changed on Feb 9, 2015 at 8:25:28 AM by dkocher

You should keep the hostname s3.amazonaws.com in the Server input field of the Open Connection or Bookmark window.

comment:3 Changed on Feb 9, 2015 at 11:33:29 AM by dkocher

Please post the transcript from the log drawer (⌘-L).

comment:4 Changed on Feb 13, 2015 at 9:00:22 AM by dkocher

Support for authentication signature version AWS4-HMAC-SHA256 is in #8302.

comment:5 Changed on Feb 16, 2015 at 2:17:27 PM by dkocher

Documentation of s3.cn-north-1.amazonaws.com.cn endpoint in Isolated Regions.

comment:7 Changed on Feb 16, 2015 at 2:19:21 PM by dkocher

  • Milestone changed from 4.7 to 4.6.5
  • Resolution set to fixed
  • Status changed from assigned to closed

In r16805.

comment:8 Changed on Oct 19, 2017 at 11:57:24 AM by dkocher

  • Milestone changed from 4.6.5 to 6.3
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Nov 1, 2017 at 10:36:37 AM by dkocher

The Amazon S3 s3.cn-north-1.amazonaws.com.cn region supports only Signature Version 4 in request authentications.

comment:10 Changed on Nov 1, 2017 at 3:02:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r43097.

comment:11 Changed on Nov 1, 2017 at 7:48:35 PM by dkocher

Could you please update to the latest snapshot build available and let us know if it works for you as we can only test the connection setup.

Note: See TracTickets for help on using tickets.
swiss made software